Bug 196921 - MacOSX: can't debug Subproject Application
MacOSX: can't debug Subproject Application
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
PC Mac OS X
: P1 (vote)
: 7.0
Assigned To: Egor Ushakov
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 13:55 UTC by soldatov
Modified: 2011-03-30 14:23 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
gdb log (20.73 KB, text/plain)
2011-03-21 13:58 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-03-21 13:55:40 UTC
Scenario:
- Create Subproject Application sample
- Push Step Into
==> debugger fails. I see such window:
Signal received: SIGTRAP (?) with sigcode ? (?)
From process: ?
For program main, pid 2,468

You may discard the signal or forward it and you may continue or pause the process
To control which signals are caught or ignored use Debug->Dbx Configure
Comment 1 soldatov 2011-03-21 13:58:45 UTC
Created attachment 107151 [details]
gdb log
Comment 2 Alexander Pepin 2011-03-22 16:17:18 UTC
I consider this as a showstopper for FCS.
Comment 3 Egor Ushakov 2011-03-25 14:00:32 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/950d4196f87d
Comment 4 Egor Ushakov 2011-03-25 14:01:54 UTC
Thomas, please review, you should be aware of the issue, it is the same as in the bug 195975
Comment 5 Thomas Preisler 2011-03-25 23:43:43 UTC
Fix reviewed and verified.
Comment 6 Quality Engineering 2011-03-28 08:46:50 UTC
Integrated into 'main-golden', will be available in build *201103280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/950d4196f87d
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196921 (MacOSX: can't debug Subproject Application)
Comment 7 soldatov 2011-03-28 09:58:25 UTC
Verified in 201103280400 build
Comment 8 Egor Ushakov 2011-03-28 12:56:04 UTC
integrated into release70:
http://hg.netbeans.org/releases/rev/24aa82b7034e
Comment 9 soldatov 2011-03-30 14:23:23 UTC
Verified in NetBeans 7.0 RC1 (Build 201103290000) build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo